package com.hzya.frame.sys.product.dao;


import com.hzya.frame.sys.product.entity.SysProduct;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * @description: 产品表  dao
 * @tableName: sys_product
 * @entityName: SysProduct
 * @author: llg
 * @history:1.0
 */
public interface ISysProductMapper {
        //通过ID获取数据    entity_get
        SysProduct entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysProduct> entity_list_base(SysProduct SysProduct);

      //查询 采用==查询   entity_list_base
       Integer entity_list_base_count(SysProduct SysProduct);

        //分页查询列表 采用like格式 entity_list_like
        List<SysProduct> entity_list_like(SysProduct SysProduct);

        //查询列表 字段采用or格式   entity_list_or
        List<SysProduct> entity_list_or(SysProduct SysProduct);

        //新增  entity_insert
        SysProduct entity_insert(SysProduct SysProduct);

        //修改  entity_update
        Integer entity_update(SysProduct SysProduct);

        //物理删除    entity_delete
        Integer entity_delete(SysProduct SysProduct);

        Integer logicDelete_Multi_Condition(SysProduct sysProduct);
}
